Bug 1839773 - Review Request: bst-external - Additional BuildStream plugins
Summary: Review Request: bst-external - Additional BuildStream plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-25 13:59 UTC by Artem
Modified: 2020-11-19 12:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-26 00:46:30 UTC
Type: ---
mail: fedora-review+


Attachments (Terms of Use)

Description Artem 2020-05-25 13:59:33 UTC
Spec URL: https://atim.fedorapeople.org//bst-external.spec
SRPM URL: https://atim.fedorapeople.org//bst-external-0.20.0-2.fc32.src.rpm

Description:
A collection of BuildStream plugins that don't fit in with the core plugins for
whatever reason.

Comment 1 Artem 2020-05-25 13:59:36 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=44954525

Comment 3 Fabian Affolter 2020-06-16 09:18:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package must not depend on deprecated() packages.
  Note: python3-pytest4 is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/deprecating-packages/
- Package should be renamed to python-bst-external

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License (v2
     or later)", "Expat License", "Expat License GNU Lesser General Public
     License (v2 or later)", "GPL (v2)". 65 files have unknown license.
     Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1839773-bst-
     external/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://gitlab.com/BuildStream/bst-
     external/-/archive/0.20.0/bst-external-0.20.0.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bst-external-0.20.0-2.fc33.noarch.rpm
          bst-external-0.20.0-2.fc33.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
bst-external.noarch: W: invalid-url URL: https://gitlab.com/BuildStream/bst-external <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
bst-external (rpmlib, GLIBC filtered):
    python(abi)
    python3.9dist(pytoml)
    python3.9dist(requests)
    python3.9dist(setuptools)



Provides
--------
bst-external:
    bst-external
    python3.9dist(buildstream-external)
    python3dist(buildstream-external)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1839773
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: R, Perl, Ocaml, Java, Haskell, SugarActivity, fonts, C/C++, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Artem 2020-06-16 16:33:14 UTC
> - Package must not depend on deprecated() packages.
>   Note: python3-pytest4 is deprecated, you must not depend on it.
>   See: https://docs.fedoraproject.org/en-US/packaging-
>   guidelines/deprecating-packages/

This is look like fedora-review tool bug https://pagure.io/FedoraReview/issue/392

> - Package should be renamed to python-bst-external

Should this apply for this package since this is not a library?

https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_naming
> This rule does not apply to applications.

Comment 5 Fabian Affolter 2020-06-24 11:16:25 UTC
(In reply to Artem from comment #4)
> > - Package must not depend on deprecated() packages.
> >   Note: python3-pytest4 is deprecated, you must not depend on it.
> >   See: https://docs.fedoraproject.org/en-US/packaging-
> >   guidelines/deprecating-packages/
> 
> This is look like fedora-review tool bug
> https://pagure.io/FedoraReview/issue/392

Yes, it is.

> 
> > - Package should be renamed to python-bst-external
> 
> Should this apply for this package since this is not a library?
> 
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_naming
> > This rule does not apply to applications.

It's not a tool and not a library. Debian is prefixing it with 'python-', Arch Linux simply call it 'bst-external'. Let's stick with 'bst-external'.

Package APPROVED.

Comment 6 Artem 2020-06-24 12:05:59 UTC
@Fabian, thank you!

Comment 7 Gwyn Ciesla 2020-06-24 13:35:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bst-external

Comment 8 Fedora Update System 2020-06-24 15:21:07 UTC
FEDORA-2020-c514323d72 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c514323d72

Comment 9 Fedora Update System 2020-06-24 15:26:30 UTC
FEDORA-2020-585b7bded3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-585b7bded3

Comment 10 Fedora Update System 2020-06-25 00:58:27 UTC
FEDORA-2020-585b7bded3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-585b7bded3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-585b7bded3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-06-25 01:03:51 UTC
FEDORA-2020-c514323d72 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c514323d72 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c514323d72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-26 00:46:30 UTC
FEDORA-2020-c514323d72 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-07-03 01:37:29 UTC
FEDORA-2020-585b7bded3 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Miro Hrončok 2020-11-19 12:01:18 UTC
This package depends on deprecated python3-pytoml :(

Comment 15 Miro Hrončok 2020-11-19 12:06:16 UTC
(In reply to Miro Hrončok from comment #14)
> This package depends on deprecated python3-pytoml :(

bz1899488


Note You need to log in before you can comment on or make changes to this bug.